Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.impl
Class ModelQueryParameterImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.gmt.modisco.infra.query.impl.ModelQueryParameterImpl

All Implemented Interfaces:
  ModelQueryParameter

    public class ModelQueryParameterImpl

extends EObjectImpl
implements ModelQueryParameter

An implementation of the model object 'Model Query Parameter'.

The following features are implemented:

- `Name`
- `Type`
- `Upper Bound`
- `Lower Bound`

Method Summary
`EClassifier` | `basicGetType()`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`int` | `getLowerBound()`
`java.lang.String` | `getName()`
`EClassifier` | `getType()`
`int` | `getUpperBound()`
`void` | `setLowerBound(int newLowerBound)`
`void` | `setName(java.lang.String newName)`
`void` | `setType(EClassifier newType)`
`void` | `setUpperBound(int newUpperBound)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ModelQueryParameter`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `ModelQueryParameter.setName(String)`, `QueryPackage.getModelQueryParameter_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `ModelQueryParameter`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `ModelQueryParameter.getName()`

### getType

    public EClassifier getType()

  Specified by:
    `getType` in interface `ModelQueryParameter`
  Returns:
    the value of the 'Type' reference.
  See Also:
    `ModelQueryParameter.setType(EClassifier)`, `QueryPackage.getModelQueryParameter_Type()`

### basicGetType

    public EClassifier basicGetType()

### setType

    public void setType(EClassifier newType)

  Specified by:
    `setType` in interface `ModelQueryParameter`
  Parameters:
    `newType` - the new value of the 'Type' reference.
  See Also:
    `ModelQueryParameter.getType()`

### getUpperBound

    public int getUpperBound()

  Specified by:
    `getUpperBound` in interface `ModelQueryParameter`
  Returns:
    the value of the 'Upper Bound' attribute.
  See Also:
    `ModelQueryParameter.setUpperBound(int)`, `QueryPackage.getModelQueryParameter_UpperBound()`

### setUpperBound

    public void setUpperBound(int newUpperBound)

  Specified by:
    `setUpperBound` in interface `ModelQueryParameter`
  Parameters:
    `newUpperBound` - the new value of the 'Upper Bound' attribute.
  See Also:
    `ModelQueryParameter.getUpperBound()`

### getLowerBound

    public int getLowerBound()

  Specified by:
    `getLowerBound` in interface `ModelQueryParameter`
  Returns:
    the value of the 'Lower Bound' attribute.
  See Also:
    `ModelQueryParameter.setLowerBound(int)`, `QueryPackage.getModelQueryParameter_LowerBound()`

### setLowerBound

    public void setLowerBound(int newLowerBound)

  Specified by:
    `setLowerBound` in interface `ModelQueryParameter`
  Parameters:
    `newLowerBound` - the new value of the 'Lower Bound' attribute.
  See Also:
    `ModelQueryParameter.getLowerBound()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD